## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.impl
Class SybaseasasqlmodelFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.impl.SybaseasasqlmodelFactoryImpl

All Implemented Interfaces:
  SybaseasasqlmodelFactory, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class SybaseasasqlmodelFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements SybaseasasqlmodelFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.SybaseasasqlmodelFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseasasqlmodelFactoryImpl()` Creates an instance of the factory.

Method Summary
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`SybaseASADatabase` `createSybaseASADatabase()`
`SybaseASAForeignKey` `createSybaseASAForeignKey()`
`SybaseASAIndex` `createSybaseASAIndex()`
`SybaseASATable` `createSybaseASATable()`
`SybaseASATempTable` `createSybaseASATempTable()`
`static SybaseasasqlmodelPackage` `getPackage()` Deprecated.
`SybaseasasqlmodelPackage` `getSybaseasasqlmodelPackage()`
`static SybaseasasqlmodelFactory` `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicSetEPackage, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseasasqlmodelFactoryImpl

    public SybaseasasqlmodelFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static SybaseasasqlmodelFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createSybaseASADatabase

    public SybaseASADatabase createSybaseASADatabase()

  Specified by:
    `createSybaseASADatabase` in interface `SybaseasasqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Database'.

### createSybaseASATable

    public SybaseASATable createSybaseASATable()

  Specified by:
    `createSybaseASATable` in interface `SybaseasasqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Table'.

### createSybaseASAForeignKey

    public SybaseASAForeignKey createSybaseASAForeignKey()

  Specified by:
    `createSybaseASAForeignKey` in interface `SybaseasasqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Foreign Key'.

### createSybaseASAIndex

    public SybaseASAIndex createSybaseASAIndex()

  Specified by:
    `createSybaseASAIndex` in interface `SybaseasasqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Index'.

### createSybaseASATempTable

    public SybaseASATempTable createSybaseASATempTable()

  Specified by:
    `createSybaseASATempTable` in interface `SybaseasasqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Temp Table'.

### getSybaseasasqlmodelPackage

    public SybaseasasqlmodelPackage getSybaseasasqlmodelPackage()

  Specified by:
    `getSybaseasasqlmodelPackage` in interface `SybaseasasqlmodelFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static SybaseasasqlmodelPackage getPackage()

  Deprecated.